//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//                                                AC Technology (C) 2002-2005
//                                                Simple Servo
//                                                SS940
//----------------------------------------------------------------------------
//
//
/*********************************************************************
 * SS940 Control DLL API   
 * 07-Nov-2005
 * Users may use, copy or modify <Project Name> according to the AC 
 * Technoogy Inc., copyright below.
 *
 *********************************************************************/
/*
 * This file is provided for unrestricted use provided that this legend is included on all
 * media and as a part of the software program in whole or part.  Users
 * may copy or modify this file without charge, but are not authorized
 * to license or distribute it to anyone else except as part of a product or
 * program developed by the user.
 * 
 * THIS CODE  PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND 
 * INCLUDING THE WARRANTIES OF DESIGN, MERCHANTIBILITY AND 
 * FITNESS FOR A PARTICULAR PURPOSE, OR ARISING FROM A COURSE 
 * OF DEALING, USAGE OR TRADE PRACTICE.
 
 * This code is provided with no support and without any obligation on the
 * part of AC Technology, Inc. to assist in its use, correction, modification or 
 * enhancement.
 * 
 *AC TECHNOLOGY, INC. SHALL HAVE NO LIABILITY WITH RESPECT 
 * TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY
 * PATENTS BY AC TECHNOLOGY ,INC. OR ANY PART THEREOF.
 * 
 * In no event will AC Technology, Inc. be liable for any lost revenue
 * or profits or other special, indirect and consequential damages, even if
 * AC Technology, Inc. has been advised of the possibility of such damages.
 * 
 * AC Technology, Inc.
 * 660 Douglas St.,
 * Uxbridge, MA
 *
 * Copyright (C) 2002-2005, AC Technology, Inc.
 */




#ifndef _SS940API_H_
#define _SS940API_H_
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

typedef void*          SHANDLE;

#ifndef BYTE
	typedef unsigned char  BYTE;
#endif

#ifndef WORD
	typedef unsigned short WORD;
#endif

#ifndef DWORD
	typedef unsigned long  DWORD;
#endif

//----------------------------------------------------------------------------
// Error codes
//----------------------------------------------------------------------------

#define EC_CMD_NS				0
#define EC_OK					1
#define EC_VALUE_TOOSMALL		-1
#define EC_VALUE_TOOBIG			2

#define EC_INVALID_HANDLE		101
#define EC_TIMEOUT				100

#define EC_COMPORT_ENABLED		200
#define EC_COMPORT_FAILED		201

//----------------------------------------------------------------------------
// Connection services
//----------------------------------------------------------------------------

__declspec(dllimport) long    __stdcall GetDllVersion                ( );
__declspec(dllimport) long    __stdcall SS940_EnableSerialInterface  ( long port, long baudrate );
__declspec(dllimport) long    __stdcall SS940_DisableSerialInterface ( );
__declspec(dllimport) SHANDLE __stdcall SS940_OpenInterface          ( DWORD address, int timeout );
__declspec(dllimport) SHANDLE __stdcall SS940_OpenInterfaceB         ( BYTE* address, int timeout );
__declspec(dllimport) long    __stdcall SS940_CloseInterface         ( SHANDLE handle );
__declspec(dllimport) long    __stdcall SS940_FindByName             ( char* name, BYTE* ip_address, BYTE* ser_address, int timeout );

//----------------------------------------------------------------------------
// SS940 API ( SS940Control.dll version 1 )
//----------------------------------------------------------------------------

__declspec(dllimport) long    __stdcall SS940_ReadParamAsDouble      ( SHANDLE h, int pid, double& param );
__declspec(dllimport) long    __stdcall SS940_ReadParamAsInteger     ( SHANDLE h, int pid, int&    param );
__declspec(dllimport) long    __stdcall SS940_WriteParamAsDouble     ( SHANDLE h, int pid, double  param );
__declspec(dllimport) long    __stdcall SS940_WriteParamAsInteger    ( SHANDLE h, int pid, int     param );
__declspec(dllimport) long    __stdcall SS940_GetParamAsDouble       ( SHANDLE h, int pid, double& param );
__declspec(dllimport) long    __stdcall SS940_GetParamAsInteger      ( SHANDLE h, int pid, int&    param );
__declspec(dllimport) long    __stdcall SS940_SetParamAsDouble       ( SHANDLE h, int pid, double  param );
__declspec(dllimport) long    __stdcall SS940_SetParamAsInteger      ( SHANDLE h, int pid, int     param );

__declspec(dllimport) long    __stdcall SS940_GetArrayAsDouble       ( SHANDLE h, BYTE* pids, double* params, int count );
__declspec(dllimport) long    __stdcall SS940_GetArrayAsInteger      ( SHANDLE h, BYTE* pids, long*   params, int count );
__declspec(dllimport) long    __stdcall SS940_SetArrayAsDouble       ( SHANDLE h, long* pids, double* params, int count );
__declspec(dllimport) long    __stdcall SS940_SetArrayAsInteger      ( SHANDLE h, long* pids, long*   params, int count );

//----------------------------------------------------------------------------
#endif
//----------------------------------------------------------------------------
