#define HOLDING_REG_MAX 134
#define INPUT_REG_MAX 28
#define COILS_MAX 0

#define PID_IDSTRING 1
#define PID_NAME 2
#define PID_SERIAL_NUMBER 3
#define PID_TA_IDLE 4
#define PID_TA_BYTECODE 5
#define PID_TA_EVENTS 6
#define PID_TA_PROFILER 7
#define PID_TA_COMM 8
#define PID_DFAULT 9
#define PID_M_ID 10
#define PID_M_MODEL 11
#define PID_M_VENDOR 12
#define PID_M_ESET 13
#define PID_M_HALLCODE 14
#define PID_M_HOFFSET 15
#define PID_M_ZOFFSET 16
#define PID_M_ICTRL 17
#define PID_M_JM 18
#define PID_M_KE 19
#define PID_M_KT 20
#define PID_M_LS 21
#define PID_M_RS 22
#define PID_M_MAXCURRENT 23
#define PID_M_MAXVELOCITY 24
#define PID_M_NPOLES 25
#define PID_M_ENCODER 26
#define PID_M_TERMVOLTAGE 27
#define PID_M_FEEDBACK 28
#define PID_ENABLE_SWITCH_TYPE 29
#define PID_CURRENTLIMIT 30
#define PID_PEAKCURRENTLIMIT16 31
#define PID_PEAKCURRENTLIMIT 32
#define PID_PWMFREQUENCY 33
#define PID_DRIVEMODE 34
#define PID_CURRENT_SCALE 35
#define PID_VELOCITY_SCALE 36
#define PID_REFERENCE 37
#define PID_STEPINPUTTYPE 38
#define PID_MOTORTHERMALPROTECT 39
#define PID_MOTORPTCRESISTANCE 40
#define PID_SECONDENCODER 41
#define PID_REGENDUTY 42
#define PID_ENCODERREPEATSRC 43
#define PID_VP_GAIN 44
#define PID_VI_GAIN 45
#define PID_PP_GAIN 46
#define PID_PI_GAIN 47
#define PID_PD_GAIN 48
#define PID_PI_LIMIT 49
#define PID_SEI_GAIN 50
#define PID_VREG_WINDOW 51
#define PID_ENABLE 52
#define PID_RESET 53
#define PID_STATUS 54
#define PID_BCF_SIZE 55
#define PID_AUTOBOOT 56
#define PID_GROUPID 57
#define PID_VLIMIT_ZEROSPEED 58
#define PID_VLIMIT_SPEEDWND 59
#define PID_VLIMIT_ATSPEED 60
#define PID_PLIMIT_POSERROR 61
#define PID_PLIMIT_ERRORTIME 62
#define PID_PLIMIT_SEPOSERROR 63
#define PID_PLIMIT_SEERRORTIME 64
#define PID_INPUTS 65
#define PID_OUTPUTS 66
#define PID_IP_ADDRESS 67
#define PID_IP_MASK 68
#define PID_IP_GATEWAY 69
#define PID_IP_DHCP 70
#define PID_AIN1 71
#define PID_AIN2 72
#define PID_BUSVOLTAGE 73
#define PID_HTEMP 74
#define PID_ENABLE_ACCELDECEL 75
#define PID_ACCEL_LIMIT 76
#define PID_DECEL_LIMIT 77
#define PID_FAULT_RESET 78
#define PID_M2SRATIO_MASTER 79
#define PID_M2SRATIO_SYSTEM 80
#define PID_S2PRATIO_SECOND 81
#define PID_S2PRATIO_PRIME 82
#define PID_EXSTATUS 83
#define PID_HLS_MODE 84
#define PID_AOUT_FUNCTION 85
#define PID_AOUT_VELSCALE 86
#define PID_AOUT_CURSCALE 87
#define PID_AOUT 88
#define PID_AIN1_DEADBAND 89
#define PID_AIN1_OFFSET 90
#define PID_SUSPEND_MOTION 91
#define PID_MOVEP 92
#define PID_MOVED 93
#define PID_MDV_DISTANCE 94
#define PID_MDV_VELOCITY 95
#define PID_MOVE_PWI1 96
#define PID_MOVE_PWI0 97
#define PID_MOVE_NWI1 98
#define PID_MOVE_NWI0 99
#define PID_V0 100
#define PID_V1 101
#define PID_V2 102
#define PID_V3 103
#define PID_V4 104
#define PID_V5 105
#define PID_V6 106
#define PID_V7 107
#define PID_V8 108
#define PID_V9 109
#define PID_V10 110
#define PID_V11 111
#define PID_V12 112
#define PID_V13 113
#define PID_V14 114
#define PID_V15 115
#define PID_V16 116
#define PID_V17 117
#define PID_V18 118
#define PID_V19 119
#define PID_V20 120
#define PID_V21 121
#define PID_V22 122
#define PID_V23 123
#define PID_V24 124
#define PID_V25 125
#define PID_V26 126
#define PID_V27 127
#define PID_V28 128
#define PID_V29 129
#define PID_V30 130
#define PID_V31 131
#define PID_MOVEDR_DISTANCE 132
#define PID_MOVEDR_DISPLACEMENT 133
#define PID_MOVEPR_DISTANCE 134
#define PID_MOVEPR_DISPLACEMENT 135
#define PID_STOP_MOTION 136
#define PID_START_PROGRAM 137
#define PID_VEL_MODE_ON 138
#define PID_IREF 139
#define PID_NV0 140
#define PID_NV1 141
#define PID_NV2 142
#define PID_NV3 143
#define PID_NV4 144
#define PID_NV5 145
#define PID_NV6 146
#define PID_NV7 147
#define PID_NV8 148
#define PID_NV9 149
#define PID_NV10 150
#define PID_NV11 151
#define PID_NV12 152
#define PID_NV13 153
#define PID_NV14 154
#define PID_NV15 155
#define PID_NV16 156
#define PID_NV17 157
#define PID_NV18 158
#define PID_NV19 159
#define PID_NV20 160
#define PID_NV21 161
#define PID_NV22 162
#define PID_NV23 163
#define PID_NV24 164
#define PID_NV25 165
#define PID_NV26 166
#define PID_NV27 167
#define PID_NV28 168
#define PID_NV29 169
#define PID_NV30 170
#define PID_NV31 171
#define PID_SERIAL_ADDRESS 172
#define PID_MODBUS_BAUDRATE 173
#define PID_MODBUS_DELAY 174
#define PID_RS485_CONFIG 175
#define PID_PPP_BAUDRATE 176
#define PID_MOVEPS 177
#define PID_MOVEDS 178
#define PID_MDVS_VELOCITY 179
#define PID_MAXVEL 180
#define PID_ACCEL 181
#define PID_DECEL 182
#define PID_QDECEL 183
#define PID_INPOSLIM 184
#define PID_VEL 185
#define PID_UNITS 186
#define PID_MECOUNTER 187
#define PID_PHCUR 188
#define PID_POS_PULSES 189
#define PID_APOS_PULSES 190
#define PID_POSERROR_PULSES 191
#define PID_CURRENT_VEL_PPS 192
#define PID_CURRENT_ACCEL_PPSS 193
#define PID_IN0_DEBOUNCE 194
#define PID_IN1_DEBOUNCE 195
#define PID_IN2_DEBOUNCE 196
#define PID_IN3_DEBOUNCE 197
#define PID_IN4_DEBOUNCE 198
#define PID_IN5_DEBOUNCE 199
#define PID_IN6_DEBOUNCE 200
#define PID_IN7_DEBOUNCE 201
#define PID_IN8_DEBOUNCE 202
#define PID_IN9_DEBOUNCE 203
#define PID_IN10_DEBOUNCE 204
#define PID_IN11_DEBOUNCE 205
#define PID_OUT0_FUNCTION 206
#define PID_OUT1_FUNCTION 207
#define PID_OUT2_FUNCTION 208
#define PID_OUT3_FUNCTION 209
#define PID_HALLCODE 210
#define PID_ENCODER 211
#define PID_RPOS_PULSES 212
#define PID_RPOS 213
#define PID_POS 214
#define PID_APOS 215
#define PID_POSERROR 216
#define PID_CURRENT_VEL 217
#define PID_CURRENT_ACCEL 218
#define PID_TPOS_ADVANCE 219
#define PID_IOINDEX 220
#define PID_PSLIMIT_PULSES 221
#define PID_NSLIMIT_PULSES 222
#define PID_SLS_MODE 223
#define PID_PSLIMIT 224
#define PID_NSLIMIT 225
#define PID_SE_APOS_PULSES 226
#define PID_SE_POSERROR_PULSES 227
#define PID_MODBUS_PARITY 228
#define PID_MODBUS_STOPBITS 229
#define PID_M_NOMINALVEL 230
#define PID_M_COSPHI 231
#define PID_M_BASEFREQUENCY 232
#define PID_M_SERIES 233
